> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Deleted Messages > Get deleted messages from a specific date. ### Changelog | Version | Description | | ---------------- | ------------| | 0.73.0 | Added | ## OpenAPI ````json GET /api/v1/chat.getDeletedMessages { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.getDeletedMessages": { "get": { "tags": [ "Chat" ], "summary": "Get Deleted Messages", "description": "Get deleted messages from a specific date.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n| 0.73.0 | Added |", "operationId": "get-api-v1-chat.getDeletedMessages", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/sort" }, { "name": "since", "in": "query", "description": "A valid ISO date format from which you want to search the deleted messages.", "required": true, "schema": { "type": "string" }, "example": "2018-12-12T00:11:22.345Z" }, { "$ref": "#/components/parameters/RoomId" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "messages": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "messages": [ { "_id": "wKBW2YwrPahpag4zA" }, { "_id": "SJXYBbageAo8bo7rX" }, { "_id": "jEnjsxuoDJamGjbH2" } ], "count": 3, "offset": 0, "total": 3, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "[The required \"roomId\" query param is missing.]", "errorType": "The required \"roomId\" query param is missing." } }, "Example 2": { "value": { "success": false, "error": "[The required \"since\" query param is missing.]", "errorType": "The required \"since\" query param is missing." } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "RoomId": { "name": "roomId", "in": "query", "description": "The room ID.", "required": true, "schema": { "type": "string" }, "example": "6GFJ3tbmHiyHbahmC" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````